<template>
    <div>
        <slot></slot>
    </div>
</template>

<script>
export default {
    props: {
        marketoid: {
            type: String,
            default: '1044'
        },
        marketourl: {
            type: String,
            default: '//app-ab37.marketo.com'
        },
        marketoinstanceid: {
            type: String,
            default: '512-AZY-771'
        },
        marketothankyoutitle: {
            type: String,
            default: "Thank you."
        },
        marketothankyoumessage: {
            type: String,
            default: "Your information has been submitted"
        }
    },
    mounted() {
        if(typeof MktoForms2 != "undefined") {
            MktoForms2.loadForm(this.marketourl, this.marketoinstanceid, this.marketoid);        
            window.addEventListener('rpCountryInitalized', () => {
                MktoForms2.whenReady( (_form) => {
                    var form = $('.mktoForm');
                    if (form) {
                        form.find('input[name=region]').val(window.region);
                        form.find('input[name=Country]').val(window.countryCode);
                        _form.onSuccess((values, followUpUrl) => { 
                            var mForm = $("#mktoForm_" + _form.getId());
                            var parent = mForm.parent();
                            var col = mForm.closest('.col');
                            parent.html("<h2 class='text-center text-richsred mb-3'>"+this.marketothankyoutitle+"</h2><p class='text-center'>"+this.marketothankyoumessage+"</p>");
                            col.addClass("self-center");
                            return false;
                        }); 
                    }
                });
            });
        }
    }
}
</script>